#if !defined(AFX_EFFECTLISTWIN_H__8E27202B_E127_448C_8F15_07FDAFC3BF5B__INCLUDED_)
#define AFX_EFFECTLISTWIN_H__8E27202B_E127_448C_8F15_07FDAFC3BF5B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EffectListWin.h : header file
//
#include <GosFx\GosFx.hpp>
#include "EffectListTreeCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CEffectListWin dialog

class CEffectListWin : public CDialog
{
// Construction
public:
	void DeleteChildrenFromList(gosFX::Effect::Specification *spec,gosFX::Effect::Specification **speclist);
	void AddEventToList(HTREEITEM itm);
	void Refresh();
	int AllowRedraw;
	CEffectListWin(CWnd* pParent = NULL);   // standard constructor
// Dialog Data
	//{{AFX_DATA(CEffectListWin)
	enum { IDD = IDD_EFFECTSLIST };
	CEffectListTreeCtrl	m_EffectList;
	//}}AFX_DATA
bool Initalized;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEffectListWin)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEffectListWin)
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnSelchangedEffectlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEndlabeleditEffectlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkEffectlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EFFECTLISTWIN_H__8E27202B_E127_448C_8F15_07FDAFC3BF5B__INCLUDED_)
